Subject: bug#23501: Non-regex-based syntax highlighting

From: Eli Zaretskii <[email-masked]>
Date: Tue, 10 May 2016 22:21:35 +0300

> From: Nir Friedman <[email-masked]>
> Date: Tue, 10 May 2016 14:55:41 -0400
> Cc: [email-masked]
> 
> I guess I'm a bit less clear on the solution, because I don't have a good sense of who the owner of the C++
> major mode is, and how the code is structured. My thinking was that perhaps hooks could be added to make
> it easier for plugin writers to modify the syntax coloring of the major mode. As opposed to plugin writers
> needing to rewrite the C++ major mode from scratch just to change the syntax coloring.

Colors are added at display time, so hooks will not help here.  Or at
least it isn't immediately clear to me how they could help.

I suggest to study how syntax highlighting works in Emacs, including
the JIT font-lock feature and its relation to the display engine.
Until you have a good understanding of how this stuff works, I don't
think you will be able to come with a design for hooks which external
tools could use for this purpose.